## JSCVirtualMachine JSCVirtualMachine — JavaScript Virtual Machine |

## Functions

JSCVirtualMachine * | jsc_virtual_machine_new ()

## Types and Values

struct | JSCVirtualMachine

## Object Hierarchy

        GObject
        ╰── JSCVirtualMachine

## Description

JSCVirtualMachine represents a group of JSCContexts. It allows concurrent JavaScript exeution by creating a different instance of JSCVirtualMachine in each thread.

To create a group of JSCContexts pass the same JSCVirtualMachine instance to every JSCContext constructor.

## Functions

### jsc_virtual_machine_new ()

    JSCVirtualMachine *
    jsc_virtual_machine_new (void);

Create a new JSCVirtualMachine.

#### Returns

the newly created JSCVirtualMachine.

[transfer full]

## Types and Values

### struct JSCVirtualMachine

    struct JSCVirtualMachine;

## See Also

JSCContext